﻿@model NewView
@{
    ViewBag.Title = "_News";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@Scripts.Render("~/bundles/FileInput")

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@News.NWS</h3>
    </div>
    <div class="panel-body">


        @using (Html.BeginForm("ConfirmAction", "News", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formNews" }))
        {
            <div class="col-md-6">
                <label class="col-md-4 control-label" id="REQ" style="display:none">@News.REQ</label>
                <div class="form-group">
                    <label class="col-md-4 control-label" id="lblHead">@News.Head</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(c => c.Head, new { @placeholder = @News.Head, @class = "form-control" })
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label">Url</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(c => c.Url, new { @placeholder = "Url", @class = "form-control" })
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label" id="lblDescription">@News.Description</label>
                    <div class="col-md-8">
                        @Html.TextAreaFor(c => c.Description, new { @placeholder = @News.Description, @class = "form-control" })
                    </div>
                </div>

            </div>
            <div class="col-md-6">

                <div class="form-group">

                    <div class="col-md-12">
                        <input id="file-ImgUpload" type="file" multiple class="file" data-overwrite-initial="true">
                        <input type="hidden" name="ImgUploadChange" id="ImgUploadChange" value="false" />
                    </div>
                </div>
                @*Si tiene Imagen la linea hago el preview*@
                @if (!string.IsNullOrEmpty(Model.ImageName))
                {
                    <script>
                        $("#file-ImgUpload").fileinput({
                            uploadUrl: '#',
                            overwriteInitial: true,
                            initialPreview: [
                            '/images/@Model.ImageName'
                            ],
                            initialPreviewAsData: true,
                            initialPreviewConfig: [
                                { caption: "@Model.ImageName", url: '/News/DeleteDragAndDropImg' }
                            ],
                            slugCallback: function (filename) {
                                return filename.replace('(', '_').replace(']', '_');
                            },
                            allowedFileExtensions: ['jpg', 'png', 'gif']
                        });
                        $('#file-ImgUpload').on('change', function (event) {
                            $('#ImgUploadChange').val(true);
                        });
                        $('#file-ImgUpload').on('fileselect', function (event, numFiles, label) {
                            $('#ImgUploadChange').val(true);
                        });
                        $('#file-ImgUpload').on('filecleared', function (event) {
                            $('#ImgUploadChange').val(true);
                        });
                    </script>
                }
                @*Si no tiene Imagen la linea dejo simplemente el drag and drop*@
                else
                {
                    <script>
                        $("#file-ImgUpload").fileinput({
                            uploadUrl: '#',
                            overwriteInitial: true,
                            slugCallback: function (filename) {
                                return filename.replace('(', '_').replace(']', '_');
                            },
                            allowedFileExtensions: ['jpg', 'png', 'gif']
                        });
                        $('#file-ImgUpload').on('change', function (event) {
                            $('#ImgUploadChange').val(true);
                        });
                        $('#file-ImgUpload').on('fileselect', function (event, numFiles, label) {
                            $('#ImgUploadChange').val(true);
                        });
                        $('#file-ImgUpload').on('filecleared', function (event) {
                            $('#ImgUploadChange').val(true);
                        });
                    </script>
                }

                @Html.HiddenFor(c => c.Id)
            </div>

        }
    </div>

</div>

<div class="but_blok_footer">
    <div class="col-md-12">
        <button id="btnOKNews" onclick="SubmitForm()" class="btn btn-lg btn-success pull-right margin-left">Ok</button>
        @Html.ActionLink(@News.Cancel, "Index", "News", null, new { @class = "btn btn-lg btn-default pull-right margin-left" })
    </div>
</div>
@Html.Partial("_MessagePartial", @News.AYSTYWTRTR)

@Scripts.Render("~/bundles/News")



@*<div class="row padding-right">
        <div class="form-group">
            <input id="@mFileUpload" type="file" class="file" data-overwrite-initial="true">
            <input type="hidden" name="@mFileUploadChange" id="@mFileUploadChange" value="false" />
        </div>

    </div>*@
